summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
Diffstat (limited to 'debian')
-rw-r--r--debian/libpam-modules.postinst8
-rw-r--r--debian/libpam-runtime.postinst4
2 files changed, 6 insertions, 6 deletions
diff --git a/debian/libpam-modules.postinst b/debian/libpam-modules.postinst
index 20b6bf17..529132da 100644
--- a/debian/libpam-modules.postinst
+++ b/debian/libpam-modules.postinst
@@ -5,16 +5,16 @@
if [ -z "$2" ] || dpkg --compare-versions "$2" lt 0.99.7.1-3
then
- if ! [ -f "$DPKG_ROOT/etc/security/opasswd" ]; then
+ if ! [ -f "$DPKG_ROOT"/etc/security/opasswd ]; then
umask 066
- touch "$DPKG_ROOT/etc/security/opasswd"
+ touch "$DPKG_ROOT"/etc/security/opasswd
umask 022
fi
fi
-if dpkg --compare-versions "$2" lt 0.99.9.0-1 && ! [ -f "$DPKG_ROOT/etc/environment" ]
+if dpkg --compare-versions "$2" lt 0.99.9.0-1 && ! [ -f "$DPKG_ROOT"/etc/environment ]
then
- touch "$DPKG_ROOT/etc/environment"
+ touch "$DPKG_ROOT"/etc/environment
fi
#DEBHELPER#
diff --git a/debian/libpam-runtime.postinst b/debian/libpam-runtime.postinst
index 792f44ff..03628cfe 100644
--- a/debian/libpam-runtime.postinst
+++ b/debian/libpam-runtime.postinst
@@ -20,9 +20,9 @@ then
for configfile in common-auth common-account common-session \
common-password
do
- if [ -f "$DPKG_ROOT/etc/pam.d/$configfile" ] && \
+ if [ -f "$DPKG_ROOT"/etc/pam.d/$configfile ] && \
! fgrep -q $(calculate_md5sum $configfile) \
- "$DPKG_ROOT/usr/share/pam/$configfile.md5sums" 2>/dev/null
+ "$DPKG_ROOT"/usr/share/pam/$configfile.md5sums 2>/dev/null
then
force=
fi